## golang-github-grpc-ecosystem-go-grpc-middleware 1.2.2

=== debian/changelog ===
golang-github-grpc-ecosystem-go-grpc-middleware (1.2.2-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 24 Oct 2020 15:44:15 +0800

golang-github-grpc-ecosystem-go-grpc-middleware (1.2.2-1) unstable; urgency=medium

  * Initial release

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Oct 2020 01:52:06 +0800
