=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                golang-github-go-kit-kit-dev,
                golang-github-gogo-protobuf-dev,
                golang-github-opentracing-opentracing-go-dev,
-               golang-github-sirupsen-logrus-dev,
+               golang-github-sirupsen-logrus-dev (>= 1.4.2~),
                golang-github-stretchr-testify-dev,
                golang-go.uber-zap-dev,
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
-               golang-google-grpc-dev,
-               golang-goprotobuf-dev,
-Standards-Version: 4.5.0
+               golang-google-grpc-dev (>= 1.27.1~),
+               golang-goprotobuf-dev (>= 1.3.3~),
+Standards-Version: 4.6.0
 Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
@@ -29,11 +29,11 @@
 Architecture: all
 Depends: golang-github-go-kit-kit-dev,
          golang-github-opentracing-opentracing-go-dev,
-         golang-github-sirupsen-logrus-dev,
+         golang-github-sirupsen-logrus-dev (>= 1.4.2~),
          golang-go.uber-zap-dev,
          golang-golang-x-net-dev,
-         golang-google-grpc-dev,
-         golang-goprotobuf-dev,
+         golang-google-grpc-dev (>= 1.27.1~),
+         golang-goprotobuf-dev (>= 1.3.3~),
          ${misc:Depends},
 Description: Go gRPC Middlewares: interceptor chaining, auth, logging, retries and more
  gRPC Go recently acquired support for Interceptors, i.e. middleware
