## golang-github-grpc-ecosystem-go-grpc-middleware 1.3.0

=== debian/changelog ===
golang-github-grpc-ecosystem-go-grpc-middleware (1.3.0-2) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Feb 2024 21:54:58 +0000

golang-github-grpc-ecosystem-go-grpc-middleware (1.3.0-1) unstable; urgency=medium

  [ Jenkins ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Shengjing Zhu ]
  * New upstream version 1.3.0
  * Replace golang-goprotobuf-dev with golang-github-golang-protobuf-1-3-dev
  * Update Section to golang
  * Update Standards-Version to 4.6.1 (no changes)
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Nov 2022 16:06:28 +0800
