=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-grpc-ecosystem-go-grpc-middleware
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
@@ -9,6 +9,7 @@
                golang-any,
                golang-github-go-kit-kit-dev,
                golang-github-gogo-protobuf-dev,
+               golang-github-golang-protobuf-1-3-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-sirupsen-logrus-dev (>= 1.4.2~),
                golang-github-stretchr-testify-dev,
@@ -16,8 +17,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
                golang-google-grpc-dev (>= 1.27.1~),
-               golang-goprotobuf-dev (>= 1.3.3~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
@@ -27,13 +27,14 @@
 
 Package: golang-github-grpc-ecosystem-go-grpc-middleware-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-go-kit-kit-dev,
+         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          golang-github-opentracing-opentracing-go-dev,
          golang-github-sirupsen-logrus-dev (>= 1.4.2~),
          golang-go.uber-zap-dev,
          golang-golang-x-net-dev,
          golang-google-grpc-dev (>= 1.27.1~),
-         golang-goprotobuf-dev (>= 1.3.3~),
          ${misc:Depends},
 Description: Go gRPC Middlewares: interceptor chaining, auth, logging, retries and more
  gRPC Go recently acquired support for Interceptors, i.e. middleware
