=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Pirate Praveen <praveen@debian.org>,
-           Shengjing Zhu <zhsj@debian.org>,
+Uploaders: Pirate Praveen <praveen@debian.org>, Shengjing Zhu <zhsj@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-go-kit-kit-dev,
                golang-github-gogo-protobuf-dev,
-               golang-github-golang-protobuf-1-3-dev,
+               golang-github-golang-protobuf-1-5-dev,
+               golang-github-oklog-run-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-sirupsen-logrus-dev (>= 1.4.2~),
                golang-github-stretchr-testify-dev,
                golang-go.uber-zap-dev,
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
-               golang-google-grpc-dev (>= 1.27.1~),
-Standards-Version: 4.6.2
+               golang-google-grpc-dev (>= 1.60~),
+               golang-opentelemetry-otel-dev
+Standards-Version: 4.7.0
 Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
@@ -29,13 +30,16 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-go-kit-kit-dev,
-         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
+         golang-github-golang-protobuf-1-5-dev,
+         golang-github-oklog-run-dev,
          golang-github-opentracing-opentracing-go-dev,
          golang-github-sirupsen-logrus-dev (>= 1.4.2~),
          golang-go.uber-zap-dev,
          golang-golang-x-net-dev,
          golang-google-grpc-dev (>= 1.27.1~),
-         ${misc:Depends},
+         golang-opentelemetry-otel-dev,
+         ${misc:Depends}
+Breaks: golang-gitlab-gitlab-org-labkit-dev (<< 1.17.0-4)
 Description: Go gRPC Middlewares: interceptor chaining, auth, logging, retries and more
  gRPC Go recently acquired support for Interceptors, i.e. middleware
  that is executed either on the gRPC Server before the request is passed
