## golang-github-grpc-ecosystem-go-grpc-middleware 2.3.2

=== Makefile ===
--- 
+++ 
@@ -47,13 +47,7 @@
 
 .PHONY: test
 test:
-	@echo "Running tests for all modules: $(MODULES)"
-	$(MAKE) $(MODULES:%=test_module_%)
-
-.PHONY: test_module_%
-$(MODULES:%=test_module_%): test_module_%:
-	@echo "Running tests for dir: $*"
-	cd $* && go test -v -race ./...
+	go test ./...
 
 .PHONY: deps
 deps:
@@ -101,9 +95,7 @@
 #      --mem-profile-path string   Path to memory profile output file
 # to debug big allocations during linting.
 lint_module_%: ## Runs various static analysis against our code.
-$(MODULES:%=lint_module_%): lint_module_%: $(FAILLINT) $(GOLANGCI_LINT) $(MISSPELL)
-	@echo ">> verifying modules being imported"
-	@cd $* && $(FAILLINT) -paths "fmt.{Print,Printf,Println},github.com/golang/protobuf=google.golang.org/protobuf" ./...
+$(MODULES:%=lint_module_%): lint_module_%: $(GOLANGCI_LINT) $(MISSPELL)
 	
 	@echo ">> examining all of the Go files"
 	@cd $* && go vet -stdmethods=false ./...
