=== debian/changelog ===
golang-github-grpc-ecosystem-go-grpc-middleware (2.3.2-1) experimental; urgency=medium

  * Team upload.
  * Use watch v5.
  * New upstream version 2.3.2
  * Bump debian/* copyright years.
  * Standards-Version: 4.7.2.
  * Drop Rules-Requires-Root: no.
  * Mark debian-specific patch as Forwarded:not-needed.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 23 Oct 2025 21:09:26 +0200
