=== debian/control ===
--- 
+++ 
@@ -18,12 +18,11 @@
                golang-golang-x-oauth2-dev,
                golang-google-grpc-dev (>= 1.60~),
                golang-opentelemetry-otel-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
 XS-Go-Import-Path: github.com/grpc-ecosystem/go-grpc-middleware
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-grpc-ecosystem-go-grpc-middleware-dev
